commit:     65beef0476c9f8a4b22a7cebb66d6bcd039915c9
Author:     Justin Lecher <jlec <AT> gentoo <DOT> org>
AuthorDate: Wed Oct 28 11:45:01 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Oct 28 13:35:59 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=65beef04

sys-devel/distcc: Fix for prefix

Package-Manager: portage-2.2.23
Signed-off-by: Justin Lecher <jlec <AT> gentoo.org>

 sys-devel/distcc/distcc-3.1-r10.ebuild | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/sys-devel/distcc/distcc-3.1-r10.ebuild 
b/sys-devel/distcc/distcc-3.1-r10.ebuild
index f700ea2..23d1793 100644
--- a/sys-devel/distcc/distcc-3.1-r10.ebuild
+++ b/sys-devel/distcc/distcc-3.1-r10.ebuild
@@ -130,12 +130,12 @@ src_install() {
                newins "doc/example/xinetd" distcc
        fi
 
-       rm -rf "${D}/etc/default" || die
-       rm -f "${D}/etc/distcc/clients.allow" || die
-       rm -f "${D}/etc/distcc/commands.allow.sh" || die
+       rm -rf "${ED}/etc/default" || die
+       rm -f "${ED}/etc/distcc/clients.allow" || die
+       rm -f "${ED}/etc/distcc/commands.allow.sh" || die
 
        python_fix_shebang "${ED}"
-       python_optimize "${ED}"/$(python_get_sitedir)
+       python_optimize
 }
 
 pkg_postinst() {

Reply via email to